GetBlockBalance

Get all balance change operations in a block.(Note: At present, the interface data can only be queried through the following official nodes 13.228.119.63 & 18.139.193.235&18.141.79.38 &18.139.248.26)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

FieldTypeDescription
timestampint64Timestamp. (Unit: millisecond)
block_identifier.hashstringBlock hash.
block_identifier.numberint64Block number.
transaction_balance_traceTransactionBalanceTrace[]List of transaction information with balance changes.

The fields contained in the TransactionBalanceTrace object are as follows:

FieldTypeDescription
transaction_identifierstringTransaction ID (hash).
operationOperation[]List of balance change operations in this transaction, including sender deductions, receiver additions, and resource fee burns (Bandwidth/Energy). Each item contains operation_identifier (index), address (affected address), and amount (balance change).
typestringTransaction type.
statusstringTransaction result status.
Body Params
string
required

Block hash (ID). Example: 0000000003dba95c7f05cedf1ba32cd64b6baa082a7870f533b4451703e432ab

int32
required

Block number. The block hash and block number must be consistent, referring to the same block. Example: 64727388

boolean

Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json